Question

Compatibility of iText recent versions with Pega 7.1.9

Hi,

Per our analysis, Pega 7.1.9 contains iText but has a 2.x version which is outdated per industry standards.

Could you please confirm that if we import the latest version of iText[v7.1.x], would that be compatible with the OOTB features where iText classes are being used in Pega 7.1.9?

***Edited by Moderator Marissa to update SR Details***

Group Tags

Comments

Keep up to date on this post and subscribe to comments

October 31, 2019 - 11:50pm

I believe the answer to that question would depend on whether iText v7.1 is backwards compatible with iText 2.x. You may have to refer to iText documentation.

November 1, 2019 - 11:37am

To override a Pega provided open source library we would need to have an assurance from Pega that the new version of the library[iText] is compatible with the current version of the  Pega product [v 7.1.9].

 

Pega
November 4, 2019 - 10:08am

Feedback from a member of the Pega Product Engineering management team, as provided to the Pega Solutions Consulting team on 1 Nov 2019: Pega has included and only certified against IText version 2.1.7.